## EMBOSS: embossversion

# Program embossversion

## Function

Writes the current EMBOSS version number

## Description

This small utility writes out the current version of the EMBOSS package.

It is expected that this may have a use in scripts which automatically write descriptions of the state of the EMBOSS package that is set up locally.

It will also be a useful way for people to ascertain what version is being run if they are giving user-support to people in another site.

## Usage

Here is a sample session with embossversion:

    % embossversion
    Writes the current EMBOSS version number
    1.13.0

## Command line arguments

       Mandatory qualifiers: (none)
       Optional qualifiers:
       -outfile            outfile    Output file

       Advanced qualifiers: (none)
       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
(none)
Optional qualifiers | Allowed values | Default
-outfile | Output file | Output file | stdout
Advanced qualifiers | Allowed values | Default
(none)

## Input file format

None.

## Output file format

This writes just the version number followed by a newline character to end the line.

The output is written to the screen by default, but can be writetn to a named file by using the '-outfile' option.

The version number is in three parts, separated by '.'s.
The first number is the major version number - this only changes when substantial changes have been made to the look-and-feel of EMBOSS.
The second number is the minor version number - this is incremented whenever a version is released.
The third number is usually '0' but if a minor bug fix has been released that does not warrant a minor version number, this will be incremented.

An example of the version number is:
1.13.0

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
embossdata | Finds or fetches the data files read in by the EMBOSS programs

## Author(s)

This application was written by Gary Williams (gwilliam@hgmp.mrc.ac.uk)

## History

Written (23 May 2001) - Gary Williams.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments